Package org.wildfly.plugin.server

## Class RunMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.wildfly.plugin.common.AbstractServerConnection
    - - org.wildfly.plugin.server.AbstractStartMojo
      - - org.wildfly.plugin.server.AbstractServerStartMojo
        - - org.wildfly.plugin.server.RunMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="run",
            requiresDependencyResolution=RUNTIME)
      @Execute(phase=PACKAGE)
      public class RunMojo
      extends AbstractServerStartMojo

  Starts a standalone instance of WildFly and deploys the application to the server.

  This goal will block until cancelled or a shutdown is invoked from a management client.

  Note that if a WildFly Bootable JAR is packaged, it is ignored by this goal.

  Author:
    Stuart Douglas, James R. Perkins

- - ### Field Summary

    - ### Fields inherited from class org.wildfly.plugin.server.AbstractServerStartMojo

      `jbossHome, moduleOptions, targetDir`

    - ### Fields inherited from class org.wildfly.plugin.server.AbstractStartMojo

      `debug, debugHost, debugPort, debugSuspend, javaHome, javaOpts, mavenRepoManager, mavenSession, project, propertiesFile, repositories, repoSystem, serverArgs, serverManager, session, skip`

    - ### Fields inherited from class org.wildfly.plugin.common.AbstractServerConnection

      `DEBUG_MESSAGE_NO_CREDS, DEBUG_MESSAGE_NO_ID, DEBUG_MESSAGE_NO_SERVER_SECTION, DEBUG_MESSAGE_NO_SETTINGS_FILE, DEBUG_MESSAGE_POM_HAS_CREDS, DEBUG_MESSAGE_SETTINGS_HAS_CREDS, DEBUG_MESSAGE_SETTINGS_HAS_ID, timeout`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RunMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.wildfly.core.launcher.CommandBuilder` | `createCommandBuilder​(Path jbossHome)` |
    `void` | `execute()` |
    `String` | `goal()` | The goal of the deployment.

    - ### Methods inherited from class org.wildfly.plugin.server.AbstractServerStartMojo

      `createDomainCommandBuilder, createStandaloneCommandBuilder, getDefaultFeaturePackLocation, getServerHome, provisionIfRequired, setModulesOptions`

    - ### Methods inherited from class org.wildfly.plugin.server.AbstractStartMojo

      `actOnServerState, createMavenRepoManager, getManagementHostName, getManagementPort, init, setJavaOpts, standardOutput, startServer`

    - ### Methods inherited from class org.wildfly.plugin.common.AbstractServerConnection

      `createClient, getClientConfiguration`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunMojo

          public RunMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`

    - #### createCommandBuilder

          protected org.wildfly.core.launcher.CommandBuilder createCommandBuilder​(Path jbossHome)
                                                                           throws org.apache.maven.plugin.MojoExecutionException

      Specified by:
        `createCommandBuilder` in class `AbstractStartMojo`
      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### goal

          public String goal()

      Description copied from class: `AbstractServerConnection`
      The goal of the deployment.
      Specified by:
        `goal` in class `AbstractServerConnection`
      Returns:
        the goal of the deployment.